package com.testor.module.contractor.manage.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.testor.common.model.UpdateProcessStatusReq;
import com.testor.module.contractor.manage.model.domain.TContractorConditionReview;
import com.testor.module.contractor.manage.model.dto.ContractorConditionReviewDto;
import com.testor.module.contractor.manage.model.dto.TContractorConditionReviewParam;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

/**
 * 承包商管理-条件审查Service接口
 * 
 * @author testor-framework
 * @date 2024-11-26 10:39:58
 */
public interface TContractorConditionReviewService extends SuperService<TContractorConditionReview> {

    Page<ContractorConditionReviewDto> pageList(TContractorConditionReviewParam param);

    TContractorConditionReview addEntity(TContractorConditionReviewParam addRequest);
    boolean updateEntity(TContractorConditionReviewParam updateRequest);

    void updateProcessStatus(UpdateProcessStatusReq updateProcessStatusReq) throws Exception;

    void startProcess(TContractorConditionReviewParam updateRequest);
    void completeProcess(TContractorConditionReviewParam updateRequest);

}
